> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Threat Intelligence URL check

> Retrieve Threat Intelligence URL check.

Provided by <a href="https://onefirewall.com/?tag=aegister" taget="_blank">OneFirewall</a>



## OpenAPI

````yaml get /api/v1/perimeter-protection/threat-intelligence/url/{url}
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/perimeter-protection/threat-intelligence/url/{url}:
    get:
      tags:
        - perimeter-protection
      description: >-
        Retrieve Threat Intelligence URL check.


        Provided by <a href="https://onefirewall.com/?tag=aegister"
        taget="_blank">OneFirewall</a>
      operationId: perimeter_protection_threat_intelligence_url_retrieve
      parameters:
        - in: path
          name: url
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
              examples:
                ExampleThreatintelligenceUrlCheck:
                  value:
                    error: 0
                    messages: []
                    data:
                      url: https://sample.com
                      score: 63
                      ts: 1692450616
                      total_reports: 4
                      total_members: 1
                      tags:
                        - phishing
                        - OneFirewall
                        - OneFirewall
                      elk_ts: '2023-08-19T13:10:16.000Z'
                      elk_entry_ts: '2023-08-19T13:01:04.000Z'
                      entry_ts: 1692450064
                  summary: Threatintelligence url check
                  description: Example threatintelligence url check
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - Malformed data structure
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````